All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Radim Krčmář" <rkrcmar@redhat.com>
To: kvm@vger.kernel.org
Cc: Paolo Bonzini <pbonzini@redhat.com>, Andrew Jones <drjones@redhat.com>
Subject: [PATCH v3 6/9] scripts/runtime: skip tests that cannot run
Date: Fri, 15 Apr 2016 22:52:48 +0200	[thread overview]
Message-ID: <1460753571-20732-7-git-send-email-rkrcmar@redhat.com> (raw)
In-Reply-To: <1460753571-20732-1-git-send-email-rkrcmar@redhat.com>

A case where QEMU won't run the kernel should be considered as skipped.
Hyper-V tests used to FAIL on old QEMUs.  The infamous QEMU=/dev/null
FAIL streak is covered too.

Signed-off-by: Radim Krčmář <rkrcmar@redhat.com>
---
 scripts/runtime.bash | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/scripts/runtime.bash b/scripts/runtime.bash
index ed073721216c..4f29a59307f3 100644
--- a/scripts/runtime.bash
+++ b/scripts/runtime.bash
@@ -39,6 +39,12 @@ function run()
         fi
     done
 
+    cmdline="TIMEOUT=$timeout ACCEL=$accel $RUNTIME_arch_run /dev/null -smp $smp $opts"
+    eval $cmdline |& grep -q "could not load kernel" || {
+        echo "skip $1 (QEMU won't run)"
+        return 2
+    }
+
     cmdline="TESTNAME=$testname TIMEOUT=$timeout ACCEL=$accel $RUNTIME_arch_run $kernel -smp $smp $opts"
     if [ "$verbose" = "yes" ]; then
         echo $cmdline
-- 
2.8.1


  parent reply	other threads:[~2016-04-15 20:53 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-15 20:52 [PATCH kvm-unit-tests v3 0/9] Improve the output of test runners Radim Krčmář
2016-04-15 20:52 ` [PATCH v3 1/9] lib/report: allow test skipping Radim Krčmář
2016-04-19  6:26   ` Andrew Jones
2016-04-15 20:52 ` [PATCH v3 2/9] x86/*: report skipped tests Radim Krčmář
2016-04-19  6:34   ` Andrew Jones
2016-04-19 11:51     ` Radim Krčmář
2016-04-15 20:52 ` [PATCH v3 3/9] x86/unittests: remove svm-disabled Radim Krčmář
2016-04-15 20:52 ` [PATCH v3 4/9] x86/pmu: expect failure with nmi_watchdog Radim Krčmář
2016-04-19  6:44   ` Andrew Jones
2016-04-19 11:57     ` Radim Krčmář
2016-04-19 13:46       ` Andrew Jones
2016-04-15 20:52 ` [PATCH v3 5/9] lib/report: don't print 0 failed tests Radim Krčmář
2016-04-19  6:45   ` Andrew Jones
2016-04-15 20:52 ` Radim Krčmář [this message]
2016-04-19  7:01   ` [PATCH v3 6/9] scripts/runtime: skip tests that cannot run Andrew Jones
2016-04-19 12:01     ` Radim Krčmář
2016-04-15 20:52 ` [PATCH v3 7/9] scripts/runtime: consolidate summary tags Radim Krčmář
2016-04-19  7:04   ` Andrew Jones
2016-04-15 20:52 ` [PATCH v3 8/9] run_tests: print summary Radim Krčmář
2016-04-19  7:19   ` Andrew Jones
2016-05-10 11:45     ` Paolo Bonzini
2016-05-10 12:41       ` Radim Krčmář
2016-05-10 14:32         ` Paolo Bonzini
2016-05-10 15:31           ` Radim Krčmář
2016-05-10 15:46             ` Paolo Bonzini
2016-05-10 16:17               ` Radim Krčmář
2016-04-15 20:52 ` [PATCH v3 9/9] run_tests: log stderr Radim Krčmář
2016-04-19  7:26   ` Andrew Jones
2016-04-19 12:13     ` Radim Krčmář
2016-05-10 11:41   ` Paolo Bonzini
2016-05-10 12:47     ` Radim Krčmář
2016-04-19  7:31 ` [PATCH kvm-unit-tests v3 0/9] Improve the output of test runners Andrew Jones
2016-04-19 12:14   ` Radim Krčmář

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1460753571-20732-7-git-send-email-rkrcmar@redhat.com \
    --to=rkrcmar@redhat.com \
    --cc=drjones@redhat.com \
    --cc=kvm@vger.kernel.org \
    --cc=pbonzini@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.